//This file is "energy.h"
//Declaration of struct Energy
//By Teck Leong Tan
#ifndef _ENERGY_H
#define _ENERGY_H
struct Energy
{
  double  E, Eavg, Estart,  dEpass, dEsumpass, V0;
    //double  ExdEsumpass, dE2sumpass, E2avg; //old way
  double e, eavg;
  double e2sum, e2avg;
  double Cv, Cv_old, dCv_old;
};
#endif
//-----------------------------------------------------------------

//eavg: average energy per atom
//e: Energy per atom at current trial step
//e2sum: sum of e*e at each pass
//e2avg: e2sum/no. of passes

// dE: Energy change of system at current trial step.
// dEpass: Energy change of system up till current pass.
      //dEpass denotes change in energy with respect to Estart
      //dEpass= Sum of dE at current pass + all dE from previous passes 
// dEsumpass: Sum of all dEpass till current pass.
      //dEsumpass=dE(pass=1)+dE(pass=2)+...+dE(pass=current)
//Cv: Heat capacity at current pass, p;
//Cv_old: Heat capacity at pass=p-1;
//dCv_old: Heat capacity change between p-1 and p-2 passes
//EOF//

